/*----------------------------------------------------------------------
  eri_gaunt_table.h

  Table of the Gaunt coefficients.

  16 Feb. 2009, M. Toyoda
----------------------------------------------------------------------*/
#ifndef LIBERI_ERI_GAUNT_TABLE_H_INCLUDED
#define LIBERI_ERI_GAUNT_TABLE_H_INCLUDED
 
typedef struct ERI_Gaunt_Table_struct ERI_Gaunt_Table_t;

ERI_Gaunt_Table_t* ERI_Gaunt_Table_Init(int lmax);
void ERI_Gaunt_Table_Free(ERI_Gaunt_Table_t* );
size_t ERI_Gaunt_Table_Required_Size(int lmax);

int ERI_Gaunt_Table_Num_Items(const ERI_Gaunt_Table_t*, int );

double ERI_Gaunt_Table_Coeff(const ERI_Gaunt_Table_t*, int, int );

void ERI_Gaunt_Table_j1j2(const ERI_Gaunt_Table_t*, int, int, int*, int*);


#endif

/* EOF */
